<?php

/**

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/**
*
*	@version	0.7.3
*	@build		10
*	@date		2008-07-31
*	@author		RuudE, Aldus, Vyni
*	@state		@dev
*
*
*/

/**
*	prevent this file from being accessed directly
*/
if ( !defined('WB_PATH')) die(header('Location: ../../../index.php'));

/**
*	Include core functions of WB 2.7 to edit the optional module CSS files (imageflow.css, backend.css)
*/
require_once(WB_PATH .'/modules/imageflow/css.functions.php');
require_once(WB_PATH.'/framework/functions.php');

/**
*	Notice: if you are in the need to get transparent images
*	you will have to get rid of the color picker in the currend version (0.7.2).
*	If so, set the following to false.
*/
$use_colorpicker = true;

/**
*	Check if module language file exists for the language set by the user (e.g. DE, EN),
*	and if not using the default EN.php
*/
$lang = WB_PATH .'/modules/imageflow/languages/'.LANGUAGE .'.php';
$default_lang  = WB_PATH .'/modules/imageflow/languages/EN.php';
require_once( ( !file_exists( $lang) ? $default_lang : $lang) );

/**
*	Check if backend.css file needs to be included into the <body></body> of "modify.php"
*/
if ( !method_exists($admin, 'register_backend_modfiles') && file_exists(WB_PATH ."/modules/imageflow/backend.css"))
	echo "<style type=\"text/css\">\n". implode("", file(WB_PATH .'/modules/imageflow/backend.css') )."\n</style>\n";

/**
*	include the button to edit the optional module CSS files
*	Note: CSS styles for the button are defined in backend.css (div class="mod_moduledirectory_edit_css")
*	Place this call outside of any <form></form> construct!
*
*/
if ( function_exists('edit_module_css') ) edit_module_css('imageflow');

/**
*	Get settings
*/
$query_settings = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_imageflow_settings WHERE section_id = ".$section_id);
$settings = $query_settings->fetchRow();

?>
<script language="javascript" type="text/javascript">
function change_color(aRef, aName) {
	var ref = document.getElementById(aName);
	if (aRef.value != "" && valid_color(aRef.value))
		ref.style.backgroundColor = "#"+aRef.value;
	else
		ref.style.backgroundColor = "#FFFFFF";
	return true;
}
function set_color (aName, aValue) {
	var ref = document.getElementById(aName);
	if (aValue != "") 
		if (ref) ref.style.backgroundColor = "#"+aValue;
	else
		if (ref) ref.style.backgroundColor = "#FFFFFF";
}
function valid_color(aValue){
	strPattern = /^([0-9a-f]{3}){1,2}$/i; 
	return strPattern.test(aValue); 
}

	
window.onload = function () {
	set_color("colorbox", "<?php echo $settings['reflection_fade']; ?>");
	set_color("colorbox2", "<?php echo $settings['back_color']; ?>" );
}
</script>
<?php if (true === $use_colorpicker) echo "<script type=\"text/javascript\" src=\"".WB_URL."/modules/imageflow/jscolor/jscolor.js\"></script>\n"; ?>
<form name="modify" action="<?php echo WB_URL; ?>/modules/imageflow/save.php" method="post" style="margin: 0;">
	<input type="hidden" name="section_id" value="<?php echo $section_id; ?>">
	<input type="hidden" name="page_id" value="<?php echo $page_id; ?>">
	<div id="edit_switch"><?php echo css_edit(); ?></div>
	<table width="600" cellpadding="2" cellspacing="0" bordercolor="#000000" id="i-logo">
		<tr>
			<td><img src="<?php echo WB_URL; ?>/modules/imageflow/images/index.png" width="150" height="53"></td>
			<td>&nbsp;</td>
			<td><h2><?php echo $MOD_IMAGEFLOW['MAIN_SETTINGS']; ?></h2></td>
		</tr>
	</table>
	<table width="100%" border="1" cellpadding="5" cellspacing="0" bordercolor="#333333" class="flowframe">
		<tr>
			<td width="50%" valign="top">
				<table cellpadding="2" cellspacing="0" class="flowcard" height="100%">
					<tr>
						<td class="setting_name"><?php echo $MOD_IMAGEFLOW['GALLERY_TITLE']; ?></td>
						<td width="26%">&nbsp;</td>
					</tr>
					<tr>
						<td class="setting_field" colspan="2"><input type="text" name="gallery_title" class="mod_long_text" value="<?php echo stripslashes($settings['gallery_title']); ?>" /></td>
					</tr>
					<tr>
						<td class="abstand" colspan="2">&nbsp;</td>
					</tr>
					<tr>
						<td class="setting_name"><?php echo $MOD_IMAGEFLOW['GALLERY_DESCRIPTION']; ?></td>
						<td >&nbsp;</td>
					</tr>
					<tr>
						<td class="setting_field" colspan="2"><textarea rows="3" name="gallery_description" class="mod_textarea"><?php echo stripslashes($settings['gallery_description']); ?></textarea></td>
					</tr>
					<tr>
						<td class="abstand" colspan="2">&nbsp;</td>
					</tr>
					<tr>
						<td class="setting_name"><?php echo $MOD_IMAGEFLOW['PICDIR']; ?></td>
						<td >&nbsp;</td>
					</tr>
					<tr>
					<td colspan="2"><select class="normal" name="picdir" >
<?php
	$folder_list=directory_list(WB_PATH.MEDIA_DIRECTORY);
	sort($folder_list);
	foreach($folder_list AS $foldername) {
		$thumb_count=substr_count($foldername, '/thumbs');
		if($thumb_count==0 and trim($foldername)!=""){
			$temp_file_name = str_replace(WB_PATH.MEDIA_DIRECTORY,'',$foldername);
			echo "<option value='".$temp_file_name."' ".( $temp_file_name==$settings['picdir'] ? "selected" : "" ).">".$temp_file_name."</option>\n";
		}
	}	
?></select></td>
			</tr>
			<tr>
				<td class="abstand" colspan="2">&nbsp;</td>
			</tr>
			<tr>
				<td class="setting_name"><?php echo $MOD_IMAGEFLOW['REFLECTION_HEIGHT']; ?></td>
				<td class="setting_field"><input type="text" name="reflection_height" class="mod_text" value="<?php echo $settings['reflection_height']; ?>" /></td>
			</tr>
			<tr>
				<td colspan="2" class="descript"><span class="mod_info"><?php echo $MOD_IMAGEFLOW['REFLECTION_HEIGHT_NOTE']; ?></span></td>
			</tr>
			<tr>
				<td colspan="2" class="abstand">&nbsp;</td>
			</tr>
			<tr>
				<td class="setting_name"><?php echo $MOD_IMAGEFLOW['BACK_COLOR']; ?></td>
				<td class="setting_field"><div id='colorbox' ><input type="text" name="reflection_fade" class="color_picker" onchange="change_color(this, 'colorbox')" value="<?php echo $settings['reflection_fade']; ?>" /></div></td>
			</tr>
			<tr>
				<td colspan="2"  class="abstand">&nbsp;</td>
			</tr>
			<tr>
				<td class="setting_name"><?php echo $MOD_IMAGEFLOW['THUMB_HEIGHT']; ?></td>
				<td class="setting_field"><input type="text" name="thumbnail_height" class="mod_text" value="<?php echo $settings['thumbnail_height']; ?>" /></td>
			</tr>
			<tr>
				<td colspan="2" class="descript"><span class="mod_info"><?php echo $MOD_IMAGEFLOW['THUMB_HEIGHT_NOTE']; ?></span></td>
			</tr>
			<tr>
				<td colspan="2" class="abstand">&nbsp;</td>
			</tr>
			<tr>
				<td class="setting_name"><?php echo $MOD_IMAGEFLOW['THUMB_QUALITY']; ?></td>
				<td class="setting_field"><select class="tiny" name="thumbnail_quality">
<?php
	$test_value = (integer) $settings['thumbnail_quality'];
	for ($i=100; $i>=40; $i-=10) echo "<option value=\"".$i."\" ".(($i== $test_value) ? "selected": "").">".$i."</option>\n";
?> </select></td>
			</tr>
		</table>
	</td>
	<td width="50%" valign="top">
		<table cellpadding="2" cellspacing="0" class="flowcard" height="100%">
			<tr>
				<td class="setting_name"><?php echo $MOD_IMAGEFLOW['DIV_COLOR']; ?></td>
				<td class="setting_field" align="right"><div id="colorbox2"><input type="text" name="back_color" class="color_picker" onchange="change_color(this, 'colorbox2')" value="<?php echo $settings['back_color']; ?>" /></div></td>
			</tr>
			<tr>
				<td colspan="2"   class="abstand">&nbsp;</td>
			</tr>
			<tr>
				<td class="setting_name"><?php echo $MOD_IMAGEFLOW['DIV_HEIGHT']; ?></td>
				<td class="setting_field"><input type="text" name="div_height" class="mod_text" value="<?php echo $settings['div_height']; ?>"/></td>
			</tr>
			<tr>
				<td colspan="2"  class="abstand">&nbsp;</td>
			</tr>
			<tr>
				<td class="setting_name"><?php echo $MOD_IMAGEFLOW['DIV_WIDTH']; ?></td>
				<td class="setting_field"><input type="text" name="div_width" class="mod_text" value="<?php echo $settings['div_width']; ?>"/></td>
			</tr>
			<tr>
				<td colspan="2" class="abstand">&nbsp;</td>
			</tr>
			<tr>
				<td class="setting_name"><?php echo $MOD_IMAGEFLOW['SHOW_CAPTION']; ?></td>
				<td class="setting_field"><input type="checkbox" name="show_caption" class="mod_checkbox" <?php if($settings['show_caption']==1) echo 'checked'; ?>/></td>
			</tr>
			<tr>
				<td colspan="2"  class="abstand">&nbsp;</td>
			</tr>
			<tr>
				<td class="setting_name"><?php echo $MOD_IMAGEFLOW['SHOW_SLIDER']; ?></td>
				<td class="setting_field"><input type="checkbox" name="show_slider" class="mod_checkbox" <?php if($settings['show_slider']==1) echo 'checked'; ?>/></td>
			</tr>
			<tr>
				<td colspan="2" class="abstand">&nbsp;</td>
			</tr>
			<tr>
				<td class="setting_name"><?php echo $MOD_IMAGEFLOW['USE_CACHE']; ?></td>
				<td><input type="checkbox" name="use_cache" class="mod_checkbox" <?php if($settings['use_cache']==1) echo 'checked'; ?>/></td>
			</tr>
			<tr>
				<td colspan="2" class="abstand">&nbsp;</td>
			</tr>
			<tr>
				<td colspan="2" class="descript"><span class="mod_info"><?php echo $MOD_IMAGEFLOW['USE_HIGHSLIDE_NOTE']; ?></span></td>
			</tr>
			<tr>
				<td class="setting_name"><?php echo $MOD_IMAGEFLOW['USE_HIGHSLIDE']; ?></td>
				<td class="setting_field"><input type="checkbox" name="use_highslide" class="mod_checkbox" onChange="javascript:document.getElementById('use_lightbox').disabled=this.checked;" <?php if($settings['use_highslide']==1) echo 'checked'; ?>/></td>
			</tr>
			<tr>
				<td class="setting_name" colspan="2"><?php echo $MOD_IMAGEFLOW['HIGH_BORDER']; ?> 
<?php 
	echo "<select class=\"normal\" name=\"high_border\"  >\n";
	$r = array ("beveled", "drop-shadow", "glossy-dark", "outer-glow", "rounded-black", "rounded-white");
	foreach($r as $option) echo "<option value=\"".$option."\" ".($settings['high_border']== $option ? "selected" : "").">".$option."</option>\n";
	echo "</select>\n";
?>				</td>
			</tr>
			<tr>
				<td colspan="2" class="abstand">&nbsp;</td>
			</tr>
			<tr>
				<td class="setting_name"><?php echo $MOD_IMAGEFLOW['USE_LIGHTBOX']; ?></td>
				<td class="setting_field"><input id="use_lightbox" <?php if($settings['use_highslide']==1) echo 'disabled'; ?> type="checkbox" name="use_lightbox" class="mod_checkbox" <?php if($settings['use_lightbox']==1) echo 'checked'; ?>/></td>
			</tr>
			<tr>
				<td colspan="2"   class="descript"><?php echo "<span class=\"mod_info\">".$MOD_IMAGEFLOW['USE_LIGHTBOX_NOTE']."</span>"; ?></td>
			</tr>
<?php
	$manuals = $MOD_IMAGEFLOW['MANUALS'];
	if ( is_array($manuals) && count($manuals) > 0 ) {
		$manual_links ="";
		foreach ($manuals as $info) $manual_links .= "<a href=\"".$info['link']."\" target=\"_new\" title=\"".$info['title']."\">".$info['display']."</a><br />";
		echo "<tr>\n<td class=\"abstand\" colspan=\"2\">&nbsp;</td>\n<tr>\n<td class=\"setting_name\">Infos/Manuals:</td>\n<td class=\"setting_field\">".substr($manual_links, 0, -2)."</td>\n</tr>\n";
	} 
?>
		</table></td>
	</tr>
</table>

<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr>
		<td align="left"><input name="save_clear" type="submit" value="<?php echo $TEXT['SAVE']." & ".$MOD_IMAGEFLOW['CLEAR_CACHE']; ?>" style="width: 250px; margin-top: 5px;"></td>
		<td align="left"> <div align="left"><input name="save" type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="width: 100px; margin-top: 5px;"></div></td>
		<td align="right" width="50%"><input type="button" value="<?php echo $TEXT['CANCEL']; ?>" onclick="javascript: window.location = '<?php echo ADMIN_URL; ?>/pages/index.php'; return false;" style="width: 100px; margin-top: 5px;" /></td>
	</tr>
</table>
</form>


<hr />