<?php

/*

 Website Baker Project <http://www.websitebaker.org/<?php >
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/**
*
*	@version	0.7.2.1
*	@build		5
*	@date		2008-07-31
*	@author		RuudE, aldus
*	@state		@dev
*
*
*/

/**
*	Must include code to stop this file being access directly
*/
if(defined('WB_PATH') == false) exit("Cannot access this file directly");

/**
*	Check if module language file exists for the language set by the user (e.g. DE, EN),
*	and if not using the default EN.php
*/
$lang = WB_PATH .'/modules/imageflow/languages/'.LANGUAGE .'.php';
$default_lang  = WB_PATH .'/modules/imageflow/languages/EN.php';
require_once( ( !file_exists( $lang) ? $default_lang : $lang) );

/**
*	function for a mini-template-sytem
*/
function replace_all ($aStr = "", &$aArray ) {
	foreach($aArray as $k=>$v) $aStr = str_replace("{{".$k."}}", $v, $aStr);
	return $aStr;
}

/**
*	Get settings out of the database
*/
$query_settings = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_imageflow_settings WHERE section_id =".$section_id);
$settings = $query_settings->fetchRow();

echo "\n";

if ($settings['use_highslide'] == 1) {
	$popups = 1;
	include_once ("inc_imageflow_hs.php") ;
} elseif ($settings['use_lightbox'] == 1) {
	$popups = 2;
    include_once ("inc_imageflow_lb.php") ;
} else {
	include_once ("inc_imageflow.php") ;
}

$picdir = $settings['picdir'];
$imagepath = WB_PATH.MEDIA_DIRECTORY.$picdir;
$imageurl= WB_URL.MEDIA_DIRECTORY.$picdir;

$img_list = array();
$img_dir = opendir($imagepath);
$pattern=".(jpg|jpeg|png|gif)$";
while (false !== ($file = readdir($img_dir))) {
	if ( false === ereg("^refl_", $file) ) {
		/**
		*	We are only adding images here
		*/
		if (eregi($pattern, $file)) $img_list[] = $file;	
	}
}										
closedir($img_dir);
sort($img_list);

if (count($img_list) > 0) {

/**
*	Gallery_info
*/
$gallery_info = 0;
if (file_exists($imagepath."/gallery_info.txt") ) {
	$gallery_info = array();
	$temp = file($imagepath."/gallery_info.txt");
	foreach($temp as $image_info) {
		if (strpos( $image_info , "|") ) {
			$details = explode("|", $image_info);
			$gallery_info[trim($details[0])] = trim(str_replace('"',"'",$details[1])); 
		}
	}
}

$params  = "&height=".$settings['reflection_height'];
$params .= "&jpeg=".$settings['thumbnail_quality'];
$params .= "&bgc=".$settings['reflection_fade'];
$params .= "&newwidth=".$settings['thumbnail_height'];
$params .= "&cache=".$settings['use_cache'];

/**
*	Style settings
*/
$divheight	= $settings['div_height'];
$divwidth	= $settings['div_width'];
$background = $settings['back_color'];

$gallery_title = ($settings["gallery_title"] != "") ? "<div id=\"imageflow_title\">".stripslashes($settings["gallery_title"])."</div>\n" : "";
$gallery_description = ($settings["gallery_description"] != "") ? "<div id=\"imageflow_description\">".stripslashes($settings["gallery_description"])."</div>\n" : "";

if ($settings['show_caption'] != "1") 
	$caption = "style=\"visibility:hidden;\"";
else
	$caption = "";
	
if ($settings['show_slider'] != "1") {
  $slider = "style=\"visibility:hidden;\"";
  $scrollbar = "style=\"border:0;\"";
} else {
  $slider = "";
  $scrollbar = "";
}

$style = "position:relative; overflow:visible; vertical-align:middle; max-width:99%; max-height:99%;";
if ($background)	$style .= "background:#" . $background . ";";
if ($divheight)		$style .= "height:" . $divheight . "px;";
if ($divwidth)		$style .= "width:" . $divwidth . "px;" ;

/**
*	Start frontend output
*/

?>
<noscript>
	<font color="990000">echo $MOD_IMAGEFLOW['NO_JAVASCRIPT']; ?></font>
</noscript>
<div id="position" style="<?php echo $style; ?>">
<?php echo $gallery_title.$gallery_description; ?>
<div id="imageflow"> 
	<div id="loading_bar">
		<b><?php echo $MOD_IMAGEFLOW['LOADING_IMAGES']; ?></b><br />
		<img src="<?php echo WB_URL; ?>/modules/imageflow/images/imgloading.gif" width="208" height="13" alt="<?php echo $MOD_IMAGEFLOW['LOADING_IMAGES']; ?>" />
	</div>
	<div id="images">
	<?php  
		$link_template = "<img src=\"{{link}}\" longdesc=\"{{longdesc}}\" alt=\"{{alt}}\">\n";
		
		foreach ($img_list as $img) {
			$name = substr($img, 0, strrpos($img, '.'));
			if ( ($gallery_info != 0) && array_key_exists($name, $gallery_info)) {
				$link_addition = ($settings['show_caption'] == 1) ? $gallery_info[$name] : "";
			} else {
				$link_addition = ($settings['show_caption'] == 1) ? $name : "";
			}
			
			$temp = Array (
				'link'		=>  WB_URL."/modules/imageflow/reflect.php?img=".urlencode($picdir.'/'.$img).$params ,
				'longdesc'	=> "javascript:myLightbox.start('".$imageurl.'/'.htmlentities($img)." | ".addslashes($link_addition)."');",  
				'alt' 		=> $link_addition
			);
			
			if ($popups != 2) $temp['longdesc'] = $imageurl.'/'.htmlentities($img);

		 	echo replace_all($link_template, $temp);
		}
		
	?>
	</div>
		<div id="captions" <?php echo $caption; ?>></div>
		<div id="scrollbar" <?php echo $scrollbar; ?>>
		<div id="slider" <?php echo $slider; ?>></div>
	</div>
</div>
</div>

<?php 
/**
*	No images found - in this case: a simple echo
*/
} else
	  echo $MOD_IMAGEFLOW['NO_IMAGES_FOUND']; 
?>		